org.apache.sling.jcr.contentparser

## Interface ContentParser

All Known Implementing Classes:
  JcrXmlContentParser, JsonContentParser, XmlContentParser

Deprecated.
since version 1.2.8 of the `org.apache.sling.jcr.contentparser` bundle; see `org.apache.sling.contentparser.api`

    @ProviderType
     @Deprecated
    public interface ContentParser

Parses repository content from a file. Implementations have to be thread-safe.

### Method Summary

All Methods Instance Methods Abstract Methods Deprecated Methods
`void` `parse(ContentHandler contentHandler, InputStream inputStream)` Deprecated. Parse content in a "stream-based" way.

### Method Detail

#### parse

    void parse(ContentHandler contentHandler,
               InputStream inputStream)
        throws IOException,
               ParseException

Deprecated.
Parse content in a "stream-based" way. Each resource that is found in the content is reported to the contentHandler.

Parameters:
  `contentHandler` - Content handler that accepts the parsed content.
  `inputStream` - Stream with serialized content
Throws:
  `IOException` - When I/O error occurs.
  `ParseException` - When parsing error occurs.